package org.eclipse.albireo.examples.plugin.actions;

import java.awt.Graphics;
import java.awt.print.PageFormat;
import java.awt.print.Printable;
import java.awt.print.PrinterJob;

import org.eclipse.albireo.core.AwtEnvironment;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

public class AwtPageSetupDialogAction implements IWorkbenchWindowActionDelegate {

    private IWorkbenchWindow window;

    /**
     * The constructor.
     */
    public AwtPageSetupDialogAction() {
    }

    public void run(IAction action) {
        AwtEnvironment env = AwtEnvironment.getInstance(window.getShell().getDisplay());
        env.invokeAndBlockSwt(new Runnable() {
            public void run() {
                PrinterJob job = PrinterJob.getPrinterJob();
                job.setJobName("A Printer Job");
                job.setCopies(1);
                job.setPrintable(new Printable() {
                    public int print(Graphics pg, PageFormat pf, int pageNum) {
                        if (pageNum > 0) {
                            return Printable.NO_SUCH_PAGE; 
                        }
                        pg.drawString("Dummy Print Job String", 100, 100);
                        return Printable.PAGE_EXISTS;
                    }
                });

                job.pageDialog(job.defaultPage()); 
            }
        });
    }

    public void selectionChanged(IAction action, ISelection selection) {
    }

    public void dispose() {
    }

    public void init(IWorkbenchWindow window) {
        this.window = window;
    }

}
