package org.eclipse.albireo.examples.plugin.actions;

import java.awt.Frame;

import javax.swing.JOptionPane;

import org.eclipse.albireo.core.AwtEnvironment;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

public class SimpleDialogAction implements IWorkbenchWindowActionDelegate {
    private IWorkbenchWindow window;

    /**
     * The constructor.
     */
    public SimpleDialogAction() {
    }

    public void run(IAction action) {
        AwtEnvironment env = AwtEnvironment.getInstance(window.getShell().getDisplay());
        final Frame frame = env.createDialogParentFrame(window.getShell());
        env.invokeAndBlockSwt(new Runnable() {
            public void run() {
                JOptionPane.showMessageDialog(frame, "A Simple Message Dialog");
            }
        });
    }

    public void selectionChanged(IAction action, ISelection selection) {
    }

    public void dispose() {
    }

    public void init(IWorkbenchWindow window) {
        this.window = window;
    }
}