package org.eclipse.albireo.examples.plugin.application;

import org.eclipse.albireo.examples.plugin.views.EmbeddedJTableView;
import org.eclipse.albireo.examples.plugin.views.EventLoggerView;
import org.eclipse.albireo.examples.plugin.views.TestScreenCoordinatesView;
import org.eclipse.albireo.examples.plugin.views.ZooView;
import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class Perspective implements IPerspectiveFactory {

    public void createInitialLayout(IPageLayout layout) {
        String editorArea = layout.getEditorArea();
        layout.setEditorAreaVisible(false);

        IFolderLayout folder = layout
                .createFolder("views", IPageLayout.LEFT, 1.0f, editorArea);
        folder.addView(EmbeddedJTableView.ID);
        folder.addView(ZooView.ID);
        folder.addView(EventLoggerView.ID);
        folder.addView(TestScreenCoordinatesView.ID);
    }

}
