package org.eclipse.albireo.examples.plugin.views;

import java.util.Vector;

import javax.swing.JComponent;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.border.EmptyBorder;

import org.eclipse.albireo.core.SwingControl;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;

/**
 * This view shows a JTable, embedded through the Albireo bridge.
 */
public class EmbeddedJTableView extends ViewPart {

    public static String ID="org.eclipse.albireo.examples.plugin.embeddedJTableView"; //$NON-NLS-1$
    private SwingControl swingControl;
    
    public void createPartControl(final Composite parent) {
        swingControl = new SwingControl(parent, SWT.NONE) {
            {
                setBackground(getDisplay().getSystemColor(SWT.COLOR_YELLOW));
                setForeground(getDisplay().getSystemColor(SWT.COLOR_DARK_RED));
            }
            protected JComponent createSwingComponent() {
                /* Creating components */
                int nrows = 1000, ncolumns = 10;
                Vector rows = new Vector();
                for (int i = 0; i < nrows; i++) {
                    Vector row = new Vector();
                    for (int j = 0; j < ncolumns; j++) {
                        row.addElement("Item " + i + "-" + j);
                    }
                    rows.addElement(row);
                }
                Vector columns = new Vector();
                for (int i = 0; i < ncolumns; i++) {
                    columns.addElement("Column " + i);
                }
                JTable table = new JTable(rows, columns);
                table.setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
                table.createDefaultColumnsFromModel();
                
                table.setOpaque(true);
                table.setBackground(getAWTHierarchyRoot().getBackground());
                
                JScrollPane scrollPane = new JScrollPane(table);
                scrollPane.setBorder(new EmptyBorder(0,0,0,0));
                
                return scrollPane;
            }

            public Composite getLayoutAncestor() {
                return parent;
            }
            
        };
    }

    public void setFocus() {
        swingControl.setFocus();
    }

}
